## org.eclipse.datatools.sqltools.schemaobjecteditor.ddl
Interface IDDLGeneratorWrapper

All Known Implementing Classes:
  ASADDLGeneratorWrapper, DDLGeneratorWrapper

    public interface IDDLGeneratorWrapper

Method Summary
`java.lang.String[]` `generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, org.eclipse.core.runtime.IProgressMonitor monitor)` Returns the DDL for the given SQL objects
`java.lang.String[]` `getCreateStatementsDDL(SQLObject[] objs)` Returns the create statements DDL for the given SQL objects
`void` `setFullQualified(boolean qualified)` Set qualified
`void` `setGenSetUser(boolean setUser)` Set current user who does generation operation.

Method Detail

### getCreateStatementsDDL

    java.lang.String[] getCreateStatementsDDL(SQLObject[] objs)

  Returns the create statements DDL for the given SQL objects

  Parameters:
    `objs` - the SQL objects
  Returns:
    the create statements of the SQL objects

### generateDeltaDDL

    java.lang.String[] generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject,
                                        org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                        org.eclipse.core.runtime.IProgressMonitor monitor)

  Returns the DDL for the given SQL objects

  Parameters:
    `rootObjs` -
    `allObjs` -
    `options` -
    `progressMonitor` -
  Returns:

### setFullQualified

    void setFullQualified(boolean qualified)

  Set qualified

  Parameters:
    `qualified` -

### setGenSetUser

    void setGenSetUser(boolean setUser)

  Set current user who does generation operation.

  Parameters:
    `setUser` -